import QtQuick 1.1
import com.nokia.meego 1.0

PageStackWindow {
    id: appWindow

    initialPage: mainPage;
    showStatusBar: false;
    MainPage {
        id: mainPage
    }
    StandbyPage {
        id: standbyPage
    }

    Component.onCompleted: {
        theme.inverted = true
    }

    states: [
        State {
            name: "fullsize-visible"
            when: platformWindow.viewMode == WindowState.Fullsize && platformWindow.visible
            StateChangeScript {
                script: {
                    if (pageStack.currentPage == standbyPage) { pageStack.pop() }
                }
            }
        },
        State {
            name: "thumbnail-or-invisible"
            when: platformWindow.viewMode == WindowState.Thumbnail || !platformWindow.visible
            StateChangeScript {
                script: {
                    if (pageStack.currentPage == mainPage) { pageStack.push(standbyPage) }
                }
            }
        }
    ]
}
